%define name ktranslator
%define ver 0.6.1
%define extraver 0.6.1
%define filelist %{name}-%{ver}/file.list.%{name}
%define release 1
%define prefix /usr
Summary: KTranslator - a very powerful uitlity for KDE translators
Name: %{name}
Version: %{ver}
Release: %{release}
Buildroot: /tmp/%{name}-root
Copyright: GPL
URL: http://www.geocities.com/SiliconValley/Sector/4288/
Source: http://www.cs.uni-potsdam.de/~smeier/kdevelop/%{name}-%{extraver}.tar.gz
Group: Development/Tools

%description
KTranslator is a KDE utility that edits po/pot files.
With this application you could easily search old translation in
your compiled catalogues (.mo files) so that your language translations
became more uniform.

%prep
%setup -q 

%build
export KDEDIR=/usr
export QTDIR=/usr/lib/qt-1.45
export MOC=$QTDIR/bin/moc

%configure --prefix=%{prefix} \
  --with-install-root=$RPM_BUILD_ROOT

make install_root=/

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/toolbar
make install
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/%{filelist}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/%{filelist}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/%{filelist}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f file.list.%{name}

%changelog
* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.6.1
- Qt 1.45
- add URL field

* Thu Nov 25 1999 Ngo Than <than@redhat.de>
- initial RPM for powertool 6.2
